DEVELOPMENT DOCUMENTATION
igloo
Get API Key
Docs / igloohome / API Reference / Properties

Properties API Reference

Enterprise API endpoints for managing properties.

Get Properties

GET /properties

Responses

200 Success

Request Example

curl https://api.igloodeveloper.co/properties \
  -H "Authorization: Bearer $API_KEY"
import { Igloo } from "@igloo/sdk";

const igloo = new Igloo(process.env.IGLOO_API_KEY);
const response = await igloo.properties.getProperties();
from igloo import Igloo
import os

igloo = Igloo(os.environ["IGLOO_API_KEY"])
response = igloo.properties.get_properties()
package main

import (
	"context"
	"os"
	"go.igloohome.co/orion/sdk"
)

func main() {
	client := sdk.NewClient(sdk.ClientOptions{
		APIKey: os.Getenv("IGLOO_API_KEY"),
	})
	err := client.GetProperties(context.Background())
}
<?php

$client = new \Igloo\Client(getenv("IGLOO_API_KEY"));
$response = $client->getProperties();
import co.igloo.sdk.Client

val client = Client(apiKey = System.getenv("IGLOO_API_KEY"))
val response = client.getProperties()
import Foundation

let client = IglooClient(apiKey: ProcessInfo.processInfo.environment["IGLOO_API_KEY"] ?? "")
client.getProperties { result in
    // handle result
}

Get Property

GET /properties/{id}

Path Parameters

Parameter Type Required
id string Yes

Responses

200 Success

Request Example

curl https://api.igloodeveloper.co/properties/{id} \
  -H "Authorization: Bearer $API_KEY"
import { Igloo } from "@igloo/sdk";

const igloo = new Igloo(process.env.IGLOO_API_KEY);
const params = {
  id: "value",
};
const response = await igloo.properties.getProperty(params);
from igloo import Igloo
import os

igloo = Igloo(os.environ["IGLOO_API_KEY"])
params = {
    "id": "value",
}
response = igloo.properties.get_property(params)
package main

import (
	"context"
	"os"
	"go.igloohome.co/orion/sdk"
)

func main() {
	client := sdk.NewClient(sdk.ClientOptions{
		APIKey: os.Getenv("IGLOO_API_KEY"),
	})
	params := map[string]interface{}{
		"id": "value",
	}
	err := client.GetProperty(context.Background(), params)
}
<?php

$client = new \Igloo\Client(getenv("IGLOO_API_KEY"));
$params = [
    "id" => "value",
];
$response = $client->getProperty($params);
import co.igloo.sdk.Client

val client = Client(apiKey = System.getenv("IGLOO_API_KEY"))
val params = mapOf(
    "id" to "value",
)
val response = client.getProperty(params)
import Foundation

let client = IglooClient(apiKey: ProcessInfo.processInfo.environment["IGLOO_API_KEY"] ?? "")
let params: [String: Any] = [
    "id": "value",
]
client.getProperty(params) { result in
    // handle result
}

Get Property Devices

GET /properties/{id}/devices

Path Parameters

Parameter Type Required
id string Yes

Responses

200 Success

Request Example

curl https://api.igloodeveloper.co/properties/{id}/devices \
  -H "Authorization: Bearer $API_KEY"
import { Igloo } from "@igloo/sdk";

const igloo = new Igloo(process.env.IGLOO_API_KEY);
const params = {
  id: "value",
};
const response = await igloo.properties.getPropertyDevices(params);
from igloo import Igloo
import os

igloo = Igloo(os.environ["IGLOO_API_KEY"])
params = {
    "id": "value",
}
response = igloo.properties.get_property_devices(params)
package main

import (
	"context"
	"os"
	"go.igloohome.co/orion/sdk"
)

func main() {
	client := sdk.NewClient(sdk.ClientOptions{
		APIKey: os.Getenv("IGLOO_API_KEY"),
	})
	params := map[string]interface{}{
		"id": "value",
	}
	err := client.GetPropertyDevices(context.Background(), params)
}
<?php

$client = new \Igloo\Client(getenv("IGLOO_API_KEY"));
$params = [
    "id" => "value",
];
$response = $client->getPropertyDevices($params);
import co.igloo.sdk.Client

val client = Client(apiKey = System.getenv("IGLOO_API_KEY"))
val params = mapOf(
    "id" to "value",
)
val response = client.getPropertyDevices(params)
import Foundation

let client = IglooClient(apiKey: ProcessInfo.processInfo.environment["IGLOO_API_KEY"] ?? "")
let params: [String: Any] = [
    "id": "value",
]
client.getPropertyDevices(params) { result in
    // handle result
}